Resource

Monitor Status Event

Change state of the monitor (Operational to Offline for example)

The Monitor Status Event Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    monitor
    Type
    Monitor
    Description

    Relation to Monitor Resource in which this object belongs

  • Name
    monitorId
    Type
    Object IDRequired
    Description

    Relation to Monitor ID Resource in which this object belongs

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    monitorStatus
    Type
    Monitor Status
    Description

    Relation to Monitor Status Resource in which this object belongs

  • Name
    monitorStatusId
    Type
    Object IDRequired
    Description

    Relation to Monitor Status ID Resource in which this object belongs

  • Name
    statusChangeLog
    Type
    JSON
    Description

  • Name
    rootCause
    Type
    Markdown
    Description

    What is the root cause of this status change?

  • Name
    endsAt
    Type
    Date
    Description

    When did this status change end?

  • Name
    startsAt
    Type
    Date
    Description

    When did this status change?

GETorPOST/api/monitor-status-timeline/get-list

List

This endpoint allows you to retrieve a paginated list of all your Monitor Status Event. By default, a maximum of ten Monitor Status Event are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/monitor-status-timeline/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "monitorId": true,
    "monitorStatusId": true,
    "projectId": true,
    "createdByUser": true,
    "createdByUserId": true
  },
  "query": {},
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "3775d770-28fe-11f1-b591-3fdcef396aba",
      "monitorId": "a7b8c9d0-e1f2-3456-789a-bcdef0123456",
      "monitorStatusId": "b8c9d0e1-f2a3-4567-890a-bcdef0123456",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "createdByUser": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
      "createdByUserId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
    },
    {
      "_id": "3775d771-28fe-11f1-b591-3fdcef396aba",
      "monitorId": "a7b8c9d0-e1f2-3456-789a-bcdef0123456",
      "monitorStatusId": "b8c9d0e1-f2a3-4567-890a-bcdef0123456",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "createdByUser": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
      "createdByUserId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
    },
    {
      "_id": "3775d772-28fe-11f1-b591-3fdcef396aba",
      "monitorId": "a7b8c9d0-e1f2-3456-789a-bcdef0123456",
      "monitorStatusId": "b8c9d0e1-f2a3-4567-890a-bcdef0123456",
      "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
      "createdByUser": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
      "createdByUserId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
    }
  ]
}
GETorPOST/api/monitor-status-timeline/:id/get-item

Get item by ID

This endpoint allows you to retrieve Monitor Status Event by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/monitor-status-timeline/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "monitorId": true,
    "monitorStatusId": true,
    "projectId": true,
    "createdByUser": true,
    "createdByUserId": true
  }
}

Response

{
  "_id": "3775d770-28fe-11f1-b591-3fdcef396aba",
  "monitorId": "a7b8c9d0-e1f2-3456-789a-bcdef0123456",
  "monitorStatusId": "b8c9d0e1-f2a3-4567-890a-bcdef0123456",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "createdByUser": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
  "createdByUserId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}
POST/api/monitor-status-timeline/count

Count

This endpoint allows you to retrieve the count of all your Monitor Status Event.

Optional Request Body

Count Request

POST
/api/monitor-status-timeline/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {}
}

Response

{
  "count": 107
}
POST/api/monitor-status-timeline

Create Monitor Status Event

This endpoint allows you to create a new object.

Create Request

POST
/api/monitor-status-timeline
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "monitorId": "a7b8c9d0-e1f2-3456-789a-bcdef0123456",
    "monitorStatusId": "b8c9d0e1-f2a3-4567-890a-bcdef0123456",
    "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
    "createdByUser": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
    "createdByUserId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
  }
}

Response

{
  "_id": "3775d770-28fe-11f1-b591-3fdcef396aba",
  "monitorId": "a7b8c9d0-e1f2-3456-789a-bcdef0123456",
  "monitorStatusId": "b8c9d0e1-f2a3-4567-890a-bcdef0123456",
  "projectId": "5f8b9c0d-e1a2-4b3c-8d5e-6f7a8b9c0d1e",
  "createdByUser": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
  "createdByUserId": "b2c3d4e5-f6a7-8901-bcde-f12345678901"
}
PUT/api/monitor-status-timeline/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/monitor-status-timeline/:id/update-item
GET/api/monitor-status-timeline/:id/update-item

Update Request

PUT
/api/monitor-status-timeline/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "monitorStatusId": "b8c9d0e1-f2a3-4567-890a-bcdef0123456",
    "monitorStatus": "b8c9d0e1-f2a3-4567-890a-bcdef0123456"
  }
}

Response

{}
DELETE/api/monitor-status-timeline/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/monitor-status-timeline/:id/delete-item
GET/api/monitor-status-timeline/:id/delete-item

Delete Request

DELETE
/api/monitor-status-timeline/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Monitor Status Event

  • Project Owner
  • Project Admin
  • Project Member
  • Read Monitor Status Timeline
  • Read All Project Resources

Create Permissions

Required to create Monitor Status Event

  • Project Owner
  • Project Admin
  • Project Member
  • Create Monitor Status Timeline

Update Permissions

Required to update Monitor Status Event

  • Project Owner
  • Project Admin
  • Project Member
  • Edit Monitor Status Timeline

Delete Permissions

Required to delete Monitor Status Event

  • Project Owner
  • Project Admin
  • Project Member
  • Delete Monitor Status Timeline